<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB011 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "person_1",
            "position" => "5",
            "size" => "35",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "ddd_1",
            "position" => "40",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "phone_1",
            "position" => "44",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "branch_1",
            "position" => "52",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "person_2",
            "position" => "56",
            "size" => "35",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "ddd_2",
            "position" => "91",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "phone_2",
            "position" => "95",
            "size" => "8",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "branch_2",
            "position" => "103",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "107",
            "size" => "9",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
    


    public function __construct($values = null) {
        $this->createColumns();
    }


}