<?php

namespace Schaffen\SerasaRemessa\Http\Basic\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class ConfN20000 extends Record {
    protected $templateColumns = [
        [
            'name' => "tipo_reg", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 1,
            'size' => 4
        ],
        [
            'name' => "subtp", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 5,
            'size' => 2
        ],
        [
            'name' => "nome_razao", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 7,
            'size' => 70
        ],
        [
            'name' => "dt_nasc_fund", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 77,
            'size' => 8
        ],
        [
            'name' => "sit_docto", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 85,
            'size' => 2
        ],
        [
            'name' => "dt_sit_docto", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 87,
            'size' => 8
        ],
        [
            'name' => "ccf_ind", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 95,
            'size' => 1
        ],
        [
            'name' => "blank_1", 
            'type' => RecordColumn::TYPE_ALPHANUMERIC,
            'position' => 96,
            'size' => 20
        ],
    ];

    public function __construct() {
        $this->createColumns();


    }
}